Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.net.axis
Class ServiceClassLoaderAwareWSDDHandlerProvider

    java.lang.Object
      org.apache.axis.deployment.wsdd.WSDDProvider
          org.apache.axis.deployment.wsdd.providers.WSDDHandlerProvider
              org.jboss.net.axis.ServiceClassLoaderAwareWSDDHandlerProvider

public class ServiceClassLoaderAwareWSDDHandlerProvider
extends org.apache.axis.deployment.wsdd.providers.WSDDHandlerProvider

A subclass of the official handler provider that is able to load the specified handler classes from the service deployment classloader.

Since:
  12.03.2003
Version:
  $Revision: 1.5 $
Author:
  jung

Constructor Summary
`ServiceClassLoaderAwareWSDDHandlerProvider()`

Method Summary
`org.apache.axis.Handler` | `newProviderInstance(org.apache.axis.deployment.wsdd.WSDDService arg0, org.apache.axis.EngineConfiguration arg1)`

Methods inherited from class org.apache.axis.deployment.wsdd.providers.WSDDHandlerProvider
`getName`

Methods inherited from class org.apache.axis.deployment.wsdd.WSDDProvider
`getInstance, getOperation, getOperations, registerProvider`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceClassLoaderAwareWSDDHandlerProvider

    public ServiceClassLoaderAwareWSDDHandlerProvider()

Method Detail

### newProviderInstance

    public org.apache.axis.Handler newProviderInstance(org.apache.axis.deployment.wsdd.WSDDService arg0,
                                                       org.apache.axis.EngineConfiguration arg1)
                                                throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.